Bug 239979 - F7t4 LiveCD: some programs fails to play sound.
F7t4 LiveCD: some programs fails to play sound.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-13 16:53 EDT by Mikhail
Modified: 2008-05-06 21:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2007-05-13 16:53:18 EDT
Description of problem:

F7t4 LiveCD: some programs (Totem and gnome-cd) can't play audio CD (probably
any music) while sound system works properly. But sound-juicer plays CD without
any problem.

Running gnome-sound-properties in terminal shows this:
"GStreamer-WARNING **: The GStreamer function gst_init_get_option_group() was
        called, but the GLib threading system has not been initialised
        yet, something that must happen before any other GLib function
        is called. The application needs to be fixed so that it calls
           if (!g_thread_supported ()) g_thread_init(NULL);
        as very first thing in its main() function. Please file a bug
        against this application."

Version-Release number of selected component (if applicable):


How reproducible:
Not every time.

Steps to Reproduce:
1. Boot from Fedora 7 Test 4 LiveCD.
2. Insert an audio CD.
3. Try to play it by Totem or gnome-cd.
  
Actual results:
Error message.

Expected results:
Audio CDs must be played.
Comment 1 Danilo Gimenez 2007-06-18 08:05:14 EDT
Is Bug238680 anyhow related to this?
Comment 2 Mikhail 2007-06-22 18:11:44 EDT
I am not sure: symptoms are different, but core of the problem may be the same.

I upgraded to esound-0.2.38-2 but it didn't solves my problem. I'll try to 
collect debug info...
Comment 3 Bug Zapper 2008-04-03 20:40:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:43:55 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.